# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

%define rname	phpLDAPAdmin

Summary:	A web-based LDAP administration tool
Name:		phpldapadmin
Version:	1.2.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://phpldapadmin.sourceforge.net/
Source0:	https://github.com/leenooks/phpLDAPadmin/archive/%{version}.tar.gz
Source1:	mageiaDSPerson.xml
Source2:	phpldapadmin-16x16.png
Source3:	phpldapadmin-32x32.png
Source4:	phpldapadmin-48x48.png
Patch0:		phpldapadmin-1.2.0.4-default-config.patch
# https://sourceforge.net/u/nihilisticz/phpldapadmin/ci/7e53dab990748c546b79f0610c3a7a58431e9ebc/
#Patch2:		phpldapadmin-1.2.3-entry_chooser.patch
Requires:	php-webinterface
Requires:	php-ldap
Requires:	php-xml
Requires:	php-mcrypt
Requires:	php-gettext
#BuildRequires:	mercurial
BuildArch:	noarch

%description
phpldapadmin is a web-based LDAP administration tool, written in PHP. You can
browse your LDAP tree, create, delete, edit, and copy entries, perform
searches, and view your server's schema. You can even copy objects between two
LDAP servers and recursively delete or copy entire trees. All this from the
comfort of your web browser.

%prep

%setup -q -n phpLDAPadmin-%{version}
%autopatch -p1
 

cp %{SOURCE1} templates/creation/

%build

%install

install -d %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 index.php %{buildroot}%{_datadir}/%{name}
install -m 644 VERSION %{buildroot}%{_datadir}/%{name}
cp -pr hooks %{buildroot}%{_datadir}/%{name}
cp -pr htdocs %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}
cp -pr locale %{buildroot}%{_datadir}/%{name}
cp -pr queries %{buildroot}%{_datadir}/%{name}
cp -pr templates %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/tools
install -m 644 tools/unserialize.php %{buildroot}%{_datadir}/%{name}/tools

install -d %{buildroot}%{_sysconfdir}/%{name}
install -m 640 config/config.php.example \
    %{buildroot}%{_sysconfdir}/%{name}/config.php

install -d -m 755 %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
%if %{mgaversion} < 3
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
%endif
%if %{mgaversion} >= 3
    Require local granted
%endif
    ErrorDocument 403 "Access denied per %{_webappconfdir}/%{name}.conf"
</Directory>
EOF

# Mageia Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{rname}
Comment=%{rname} is a web adminstration GUI for OpenLDAP
Exec=%{_bindir}/www-browser https://localhost/%{name}/
Icon=%{name}
Terminal=false
Type=Application
Categories=Database;
EOF

# cleanup
rm -rf doc/certs
chmod 644 doc/*

%files
%doc INSTALL.md LICENSE doc/*
%config(noreplace) %{webappconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop



%changelog
* Thu Dec 03 2020 mokraemer <mokraemer> 1.2.6.2-1.mga8
+ Revision: 1652085
- new version 1.2.6.2

* Wed Jul 22 2020 mokraemer <mokraemer> 1.2.3-9.p4.mga8
+ Revision: 1607882
- resolve mod_php conflict
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.2.3-9.p3.mga8
+ Revision: 1507413
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.3-9.p2.mga7
+ Revision: 1287890
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 mokraemer <mokraemer> 1.2.3-9.p1.mga7
+ Revision: 1192164
- updated phpldapadmin to latest master

* Thu Jul 27 2017 luigiwalser <luigiwalser> 1.2.3-8.mga7
+ Revision: 1131484
- add patch from fedora to fix CVE-2017-11107

* Thu Oct 13 2016 daviddavid <daviddavid> 1.2.3-7.mga6
+ Revision: 1060634
- fix desktop file Categories (mga#2449)

* Thu Feb 04 2016 umeabot <umeabot> 1.2.3-6.mga6
+ Revision: 936225
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-5.mga5
+ Revision: 741593
- Second Mageia 5 Mass Rebuild

* Tue Apr 29 2014 guillomovitch <guillomovitch> 1.2.3-4.mga5
+ Revision: 618887
- drop excessive mod_ssl dependency

* Tue Jan 28 2014 guillomovitch <guillomovitch> 1.2.3-3.mga4
+ Revision: 568492
- fix PHP 5.5 compatibility

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-2.mga4
+ Revision: 502396
- Mageia 4 Mass Rebuild

* Tue Dec 18 2012 oden <oden> 1.2.3-1.mga3
+ Revision: 332565
- imported package phpldapadmin

